製品 > ArcGIS Engine > 動作環境 > ArcGIS 10.4 Engine 動作環境

ArcGIS Engine

ArcGIS 10.4 Engine 動作環境

サポートするオペレーティング システム

サポートするオペレーティング システム

最小バージョン 最大バージョン
Windows 10 Home、Pro、Enterprise(64-bit(EM64T))    
Windows 8.1 Pro、Enterprise(32-bit、64-bit(EM64T)) Update
(KB2919355)
 
Windows 8 Pro、Enterprise(32-bit、64-bit(EM64T))    
Windows 7 Ultimate、Professional、Enterprise(32-bit、64-bit(EM64T)) SP1  
Windows Server 2012 R2 Standard、Datacenter(64-bit(EM64T)) Update
(KB2919355)
 
Windows Server 2012 Standard、Datacenter(64-bit(EM64T))    
Windows Server 2008 R2 Standard、Enterprise、Datacenter(64-bit(EM64T))  SP1   
Windows Server 2008 Standard、Enterprise、Datacenter(32-bit、64-bit(EM64T)) SP2 SP2

※ 2017 年 2 月 20 日を持ちまして、Windows 10(Home、Pro、Enterprise)32-bit 版はサポート対象外となりました。

ハードウェア要件

CPU の速度 2.2 GHz 以上
ハイパースレッディング(HHT)、またはマルチコア推奨
プラットフォーム x86 または x64 (SSE2)
メモリ/RAM 2 GB 以上
画面のプロパティ 24 ビット カラー
画面の解像度 通常サイズ(96 dpi)で 1024 x 768 ピクセル以上(推奨)
スワップ領域 500 MB(必須) ※オペレーティング システムに依存
ディスク容量(ArcGIS Engine のみ)

2 GB(必須)

※ArcGIS Engine は使用時にキャッシュ ファイルを作成するため、追加のディスク容量が必要となります。

ビデオ/グラフィック アダプター

ビデオ メモリ: 64 MB(必須)、256 MB(推奨)。NVIDIA、ATI、Intel チップセットをサポートします。

24 ビット対応のグラフィック アクセラレータ

OpenGL 2.0 以上のランタイムが必要、Shader Model 3.0 以上を推奨

最新のドライバーをご使用ください

 

ソフトウェア要件

Python 要件
(ジオプロセシング)

ArcGIS Engine のジオプロセシング ツールを実行するためには、Python 2.7.10 と Numerical Python 1.9.2 がインストールされている必要があります。 ArcGIS Engine をインストールするコンピューターに Python 2.7.10 と Numerical Python (NumPy) 1.9.2 が存在しない場合、ArcGIS Engine のインストーラーにより、Python 2.7.10 と Numerical Python 1.9.2 がインストールされます。またカスタム インストールを選択して Python をインストールしないようにすることもできます。さらに、ArcGIS Engine のインストール時に Python のセットアップが実行される場合、インストール場所を選択することができますが、Python のインストール場所にはパスに空白を含んではいけません。

Microsoft .NET Framework 要件 Microsoft .NET Framework を使用して開発したソリューションのために Microsoft .NET Framework 4.5 以上 がインストールされている必要があります。
ブラウザ要件 ArcGIS Engine は、Microsoft Internet Explorer 9 以上が必要です。Microsoft Internet Explorer 9 以上がインストールされていない場合は、ArcGIS Engine をインストールする前に、Internet Explorer 9 以上をインストールする必要があります。

DBMS に接続するために必要なソフトウェア

RDBMS に接続するクライアント コンピューター(例えば、ArcMap が動作しているコンピューター)には、使用している RDBMS 用のクライアント ファイルをインストールする必要があります。これらのクライアント ファイルはそれぞれの RDBMS ベンダーから提供されていますが、弊社サポート サイトからダウンロードすることも可能です。ダウンロード可能な RDBMS クライアント ファイルには IBM DB2、Oracle、PostgreSQL、Microsoft SQL Server があります。

ライセンス マネージャー要件

サポートするオペレーティング システム 最小バージョン 最大バージョン
Windows 10 Home、Pro、Enterprise(32-bit、64-bit (EM64T))    
Windows 8.1 Basic、Pro、Enterprise(32-bit、64-bit(EM64T)) Update
(KB2919355)
 
Windows 8 Basic、Pro、Enterprise(32-bit、64-bit(EM64T))    
Windows 7 Ultimate、Enterprise、Professional(32-bit、64-bit(EM64T))  SP1  
Windows Server 2012 R2 Standard、Datacenter(64-bit(EM64T)) Update
(KB2919355)
 
Windows Server 2012 Standard、Datacenter(64-bit(EM64T))    
Windows Server 2008 R2 Standard、Enterprise、Datacenter(64-bit(EM64T))  SP1  
Windows Server 2008 Standard、Enterprise、Datacenter(32-bit、64-bit(EM64T)) SP2 SP2
Red Hat Enterprise Linux Server 6(32-bit、64-bit)* Update 1  
Red Hat Enterprise Linux Server 5(32-bit、64-bit)* Update 7 以上 とlibX11-1.0.3-11 パッチ  

* [License Server Administrator] と [Software Authorization Wizard] を起動するには、OpenGL が必要です。

ライセンス マネージャーのハードウェア要件は、上記の ArcGIS 10.4 Engine ハードウェア要件と同じです。

開発ソリューション(SDK)要件

ArcObjects SDK サポートおよび推奨する統合開発環境 SDK 要件 ディスク容量
ArcObjects SDK for the Microsoft .NET Framework

Microsoft Visual Studio 2013 (C#、VB.NET) Community、Professional、Premium、Ultimate Edition

Microsoft Visual Studio 2015 (C#、VB.NET) Community、Professional、Enterprise

Microsoft .NET Framework 4.5 以上

847 MB

 

オペレーティング システムの要件および制限事項

  • 64 ビット プロセッサのサポート
  • Windows 7 制限事項
  • 3D アプリケーション(ArcGIS 3D Analyst の ArcGlobe、ArcScene など)は、リモート デスクトップや Windows Terminal Services クライアント上では最適な状態で動作しません(これらの環境で OpenGL 3D グラフィックス アクセラレータをサポートしないため)。
Copyright© 2002-2017 Esri Japan Corporation. All rights reserved.
トップへ戻る